Package com.google.android.exoplayer2.source.hls.playlist

## Interface HlsPlaylistTracker.PlaylistEventListener

- All Known Implementing Classes:
    `HlsMediaPeriod`
  Enclosing interface:
    HlsPlaylistTracker

      public static interface HlsPlaylistTracker.PlaylistEventListener

  Called on playlist loading events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPlaylistChanged()` | Called a playlist changes.
    `boolean` | `onPlaylistError​(Uri url, LoadErrorHandlingPolicy.LoadErrorInfo loadErrorInfo, boolean forceRetry)` | Called if an error is encountered while loading a playlist.

- - ### Method Detail

    - #### onPlaylistChanged

          void onPlaylistChanged()

      Called a playlist changes.

    - #### onPlaylistError

          boolean onPlaylistError​(Uri url,
                                  LoadErrorHandlingPolicy.LoadErrorInfo loadErrorInfo,
                                  boolean forceRetry)

      Called if an error is encountered while loading a playlist.
      Parameters:
        `url` - The loaded url that caused the error.
        `loadErrorInfo` - The load error info.
        `forceRetry` - Whether retry should be forced without considering exclusion.
      Returns:
        True if excluding did not encounter errors. False otherwise.